<?xml version="1.0" encoding="utf-8"?>
<creole>
    <containers>
        <container name='web'>	
			<file filelist='envolecow' name='/etc/apache2/cow.conf' source='posh-apache-cow.conf'/>
			<file filelist='envolecow' name='/var/www/html/posh/includes/plugins/plugin_cow/config.inc.php' source='posh-plugin-cow.inc.php' mkdir='True'/>
		</container>
    </containers>
    
    <variables>
        <family name='envole'>
            <variable name='activer_plugin_cow' type='oui/non' description='Activer les Bibliothèques de Widgets Distantes'>
                <value>non</value>
            </variable>                       
            <variable name='plugin_cow_id_server'  type='string' description="Nom du Serveur de Widgets" multi='True' mandatory='True' />
            <variable name='plugin_cow_url_server' type='string' description="Url du Serveur de Widgets" mandatory='True' />.
            <variable name='plugin_cow_local_server' type='string' description="Url Local" mandatory='True' />
            <variable name='plugin_cow_key_server' type='string' description="CowKey du Serveur de Widgets" mandatory='True' />  
        </family>
        
		<separators>
			<separator name="activer_plugin_cow">Gestion des Bibliothèques de Widgets Distantes</separator>
		</separators>
    </variables>
    
    <constraints>
        <condition name='hidden_if_in' source='activer_envole'>
            <param>non</param>
            <target type='variable'>activer_plugin_cow</target>
        </condition>
        
        <condition name='hidden_if_in' source='activer_plugin_cow'>
            <param>non</param>
            <target type='filelist'>envolecow</target>
            <target type='variable'>plugin_cow_id_server</target>
            <target type='variable'>plugin_cow_url_server</target>
            <target type='variable'>plugin_cow_local_server</target>
            <target type='variable'>plugin_cow_key_server</target>
        </condition>
        
        <group master='plugin_cow_id_server'>
            <slave>plugin_cow_url_server</slave>
            <slave>plugin_cow_local_server</slave>
            <slave>plugin_cow_key_server</slave>
        </group>        
    </constraints>
    
    <help>
        <variable name='activer_plugin_cow'>Activer les Bibliothèques de Widgets Distantes</variable>
        <variable name='plugin_cow_id_server'>Nom du Serveur de Widgets</variable>
        <variable name='plugin_cow_url_server'>Url du Serveur de Widgets</variable>
        <variable name='plugin_cow_local_server'>Url Local</variable>
        <variable name='plugin_cow_key_server'>CowKey du Serveur de Widgets</variable>
    </help>    
</creole>
